Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.digi.config.ui
Class SerialStatisticsView

    java.lang.Object
      com.digi.config.ui.ConfigViewImpl
          com.digi.config.ui.SerialStatisticsView

All Implemented Interfaces:
  ConfigView

public class SerialStatisticsView
extends ConfigViewImpl

This class is a view panel that shows serial statistics information. This view can be embedded in other panels as desired.

Field Summary
`(package private) com.digi.config.ui.GridContentPanel` | `content`
`(package private) com.digi.config.ui.GridContentPanel` | `countersContent`
`(package private) javax.swing.JLabel` | `cts_UIC`
`(package private) com.digi.config.core.KvpField` | `ctsKvpField`
`(package private) javax.swing.JLabel` | `dcd_UIC`
`(package private) com.digi.config.core.KvpField` | `dcdKvpField`
`(package private) javax.swing.JLabel` | `dsr_UIC`
`(package private) com.digi.config.core.KvpField` | `dsrKvpField`
`(package private) javax.swing.JLabel` | `dtr_UIC`
`(package private) com.digi.config.core.KvpField` | `dtrKvpField`
`(package private) javax.swing.JLabel` | `frameErr_UIC`
`(package private) com.digi.config.core.KvpField` | `frameErrKvpField`
`(package private) javax.swing.JLabel` | `overflowErr_UIC`
`(package private) com.digi.config.core.KvpField` | `overflowErrKvpField`
`(package private) javax.swing.JLabel` | `overrunErr_UIC`
`(package private) com.digi.config.core.KvpField` | `overrunErrKvpField`
`(package private) javax.swing.JLabel` | `parityErr_UIC`
`(package private) com.digi.config.core.KvpField` | `parityErrKvpField`
`(package private) javax.swing.JLabel` | `rts_UIC`
`(package private) com.digi.config.core.KvpField` | `rtsKvpField`
`(package private) javax.swing.JLabel` | `rtsToggle_UIC`
`(package private) com.digi.config.core.KvpField` | `rtsToggleKvpField`
`(package private) javax.swing.JLabel` | `rx_UIC`
`(package private) com.digi.config.core.KvpField` | `rxKvpField`
`(package private) com.digi.config.ui.GridContentPanel` | `signalsContent`
`(package private) com.digi.config.core.DeviceChangeListener` | `stateChangeListener` listens to the device for changes to state fields
`(package private) javax.swing.JLabel` | `tx_UIC`
`(package private) com.digi.config.core.KvpField` | `txKvpField`
`(package private) com.digi.config.core.KvpNode` | `viewStateTree` A KvpNode that holds just the state fields used in this view

Fields inherited from class com.digi.config.ui.ConfigViewImpl
`active, cancelChangesAction, device, editView, heading, includeSettingsFields, includeStateFields, refreshAction, saveChangesAction, viewHelpAction, viewIndex`

Constructor Summary
`SerialStatisticsView()` Basic constructor.

Method Summary
`void` | `activate()` This method is called to instruct the view that it is about to be made active.
`void` | `cancelChanges()` Instructs the view to discard any changes the user has made within the view and revert those fields to the original state.
`void` | `commitChanges()` Instructs the view to consider any user changes within the view as saved to the device (ie committed).
`void` | `deactivate()` This method is called to instruct the view that it is about to be made inactive.
`void` | `getChanges(com.digi.config.core.KvpNode settingCluster, com.digi.config.core.KvpNode stateCluster)` This method instructs the view to place any changes the user has made within the view into the provided clusters.
`java.lang.String` | `getName()` Returns a one word name identifying this view.
`java.awt.Component` | `getViewContent()` Return the Component that displays the primary content for this view
`boolean` | `isChanged()` Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).
`void` | `setDevice(com.digi.config.core.Device device)` Informs view what device to work with.

Methods inherited from class com.digi.config.ui.ConfigViewImpl
`createEmailDocument, createGeneralDocument, createIntegerDocument, createNetworkAddressDocument, doCancelChangesAction, doRefreshAction, doSaveChangesAction, doViewHelpAction, getHelpResource, getViewButtons, getViewHeading, initializeActions, setIncludeSettingsFields, setIncludeStateFields, setViewIndex, validateChanges`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewStateTree

    com.digi.config.core.KvpNode viewStateTree

  A KvpNode that holds just the state fields used in this view

### stateChangeListener

    com.digi.config.core.DeviceChangeListener stateChangeListener

  listens to the device for changes to state fields

### content

    com.digi.config.ui.GridContentPanel content

### signalsContent

    com.digi.config.ui.GridContentPanel signalsContent

### countersContent

    com.digi.config.ui.GridContentPanel countersContent

### overrunErrKvpField

    com.digi.config.core.KvpField overrunErrKvpField

### overflowErrKvpField

    com.digi.config.core.KvpField overflowErrKvpField

### frameErrKvpField

    com.digi.config.core.KvpField frameErrKvpField

### parityErrKvpField

    com.digi.config.core.KvpField parityErrKvpField

### rxKvpField

    com.digi.config.core.KvpField rxKvpField

### txKvpField

    com.digi.config.core.KvpField txKvpField

### dtrKvpField

    com.digi.config.core.KvpField dtrKvpField

### rtsKvpField

    com.digi.config.core.KvpField rtsKvpField

### ctsKvpField

    com.digi.config.core.KvpField ctsKvpField

### dsrKvpField

    com.digi.config.core.KvpField dsrKvpField

### dcdKvpField

    com.digi.config.core.KvpField dcdKvpField

### rtsToggleKvpField

    com.digi.config.core.KvpField rtsToggleKvpField

### overrunErr_UIC

    javax.swing.JLabel overrunErr_UIC

### overflowErr_UIC

    javax.swing.JLabel overflowErr_UIC

### frameErr_UIC

    javax.swing.JLabel frameErr_UIC

### parityErr_UIC

    javax.swing.JLabel parityErr_UIC

### rx_UIC

    javax.swing.JLabel rx_UIC

### tx_UIC

    javax.swing.JLabel tx_UIC

### dtr_UIC

    javax.swing.JLabel dtr_UIC

### rts_UIC

    javax.swing.JLabel rts_UIC

### cts_UIC

    javax.swing.JLabel cts_UIC

### dsr_UIC

    javax.swing.JLabel dsr_UIC

### dcd_UIC

    javax.swing.JLabel dcd_UIC

### rtsToggle_UIC

    javax.swing.JLabel rtsToggle_UIC

Constructor Detail

### SerialStatisticsView

    public SerialStatisticsView()
                         throws java.lang.Exception

  Basic constructor. Sets up the tree view and the edit panel.

Method Detail

### getName

    public java.lang.String getName()

  Returns a one word name identifying this view.

### getViewContent

    public java.awt.Component getViewContent()

  Return the Component that displays the primary content for this view

### setDevice

    public void setDevice(com.digi.config.core.Device device)

  Informs view what device to work with. View should flush any cached device data and mark current view content as invalid so that it is refreshed appropriatly.

  Specified by:
    `setDevice` in interface `ConfigView`
  Overrides:
    `setDevice` in class `ConfigViewImpl`

### activate

    public void activate()

  This method is called to instruct the view that it is about to be made active. When a view is active it needs to make sure its content is correct. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `activate` in interface `ConfigView`
  Overrides:
    `activate` in class `ConfigViewImpl`

### deactivate

    public void deactivate()

  This method is called to instruct the view that it is about to be made inactive. When a view is inactive, it does not need to worry about maintaining its content in a correct state. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `deactivate` in interface `ConfigView`
  Overrides:
    `deactivate` in class `ConfigViewImpl`

### isChanged

    public boolean isChanged()

  Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).

### getChanges

    public void getChanges(com.digi.config.core.KvpNode settingCluster,
                           com.digi.config.core.KvpNode stateCluster)

  This method instructs the view to place any changes the user has made within the view into the provided clusters. Once the changes have been saved to to the device, a subsequent call to commitChanges() will be made.

### commitChanges

    public void commitChanges()

  Instructs the view to consider any user changes within the view as saved to the device (ie committed).

### cancelChanges

    public void cancelChanges()

  Instructs the view to discard any changes the user has made within the view and revert those fields to the original state. The view is also free to refresh all its fields to the present cached state of the device at this time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2002 Digi International. All Rights Reserved.